﻿@model dbChange.Models.PhieuDangKyRaVaoCong;
@using dbChange.Models.LIB;
@using System.Data;

@{
    ViewData["Title"] = "ThemPhieuDangKyRaVaoCong";
    Layout = "~/Views/Shared/_Layout.cshtml";
    var lsDonVi = ViewData["DonVi"] as List<DM_BoPhanChiTiet>;
    var Phieu = ViewData["Phieu"] as PhieuDangKyRaVaoCong;
    var isViewPhieuDangChoDuyet = ViewData["isViewPhieuDangChoDuyet"];
    var SoLuongNhanVienDangKy = ViewData["SoLuongNhanVienDangKy"];
    var SoLuongNhanVienYTeDuyet = ViewData["SoLuongNhanVienYTeDuyet"];
    var SoLuongNhanVienDuocDuyet = ViewData["SoLuongNhanVienDuocDuyet"];
    var GetSoLuongNhanVienChiTietPhieuTheoThu = ViewData["GetSoLuongNhanVienChiTietPhieuTheoThu"] as DataTable;
}

<div class="" style="        background-color: white;padding-left: 5px;padding-right: 5px;">
    <div class="row p-2">
        <h4 style="color:red;text-align:center;width: 100%; text-transform: uppercase; font-weight: bold;">Phiếu đăng ký ra vào cổng</h4>
    </div>
    <div class="row">
        <div class="col-12">

            <form id="box_form_employee" class="form_employee_validation" novalidate>
                <input type="hidden" value="@Phieu.Id" name="IdPhieu" id="IdPhieu" />
                <input type="hidden" value="@Phieu.TinhTrang" name="TinhTrangPhieu" id="TinhTrangPhieu" />
                <input type="hidden" value="@isViewPhieuDangChoDuyet" name="isViewPhieuDangChoDuyet" id="isViewPhieuDangChoDuyet" />
                <div class="form-row">
                    <div class="col-md-4 mb-4">
                        <label for="Id">Từ Ngày</label>
                        <input readonly type="date" class="form-control form-control-sm" value="@Phieu.NgayDangKyTuNgay.ToString("yyyy-MM-dd")" name="NgayDangKyTuNgay" id="NgayDangKyTuNgay" />
                        <label for="Id">Đến Ngày</label>
                        <input readonly type="date" class="form-control form-control-sm" value="@Phieu.NgayDangKyDenNgay.ToString("yyyy-MM-dd")" name="NgayDangKyDenNgay" id="NgayDangKyDenNgay">

                        <label for="Id">Đơn vị </label>
                        <input readonly type="text" class="form-control form-control-sm" value="@Phieu.TenDonVi" name="DonVi" id="DonVi">
                    </div>
                    <div class="col-md-5 mb-5">
                        <label for="Id">Ghi chú </label>
                        <textarea readonly class="form-control" name="GhiChu" id="GhiChu">@Phieu.GhiChu</textarea>
                        @{
                            if (Phieu.TinhTrang == "MoiTao")
                            {
                                <span style="display:block;width:200px;margin-top: 20px;" class='btn-secondary btn-sm'>Mới tạo</span>
                            }
                            else if (Phieu.TinhTrang == "ChoYTeDuyet")
                            {
                                <span style="display:block;width:200px;margin-top: 20px;" class='btn-primary btn-sm'>Chờ y tế duyệt</span>
                            }
                            else if (Phieu.TinhTrang == "ChoPhuTrachDuyet")
                            {
                                <span style="display:block;width:200px;margin-top: 20px;" class='btn-primary btn-sm'>Chờ phụ trách duyệt</span>
                            }
                            else if (Phieu.TinhTrang == "DaDuyet")
                            {
                                <span style="display:block;width:200px;margin-top: 20px;" class='btn-success btn-sm'>Đã duyệt</span>
                            }
                        }
                    </div>
                    <div class="col-md-3 mb-3">
                        <div class="card">
                            <ul class="list-group list-group-flush">
                                <li class="list-group-item" style="padding: 0px 5px; background: #004b80; color: white; font-weight: bold;">Tổng số nhân viên đăng ký: @SoLuongNhanVienDangKy</li>
                                <li class="list-group-item" style="padding: 0px 5px; background: #004b80; color: white; font-weight: bold;">Tổng số được y tế duyệt: @SoLuongNhanVienYTeDuyet</li>
                                <li class="list-group-item" style="padding: 0px 5px; background: #004b80; color: white; font-weight: bold;">Tổng số được duyệt: @SoLuongNhanVienDuocDuyet</li>
                                @{
                                    foreach (DataRow dr in GetSoLuongNhanVienChiTietPhieuTheoThu.Rows)
                                    {
                                        <li class="list-group-item" style="padding: 0px 5px; background: #004b80; color: white; font-weight: bold; ">@dr["Thu"]: @dr["SoLuong"]</li>
                                    }
                                }
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="form-row mt-3">
                    <a class="btn btn-primary btn-sm btnDanhSachNgayDiLam" style="color:white; margin-left:10px;float: right;"><i class="fa fa-arrow-up"></i>Danh sách ngày đi làm</a>
                    @if (Phieu.TinhTrang != "DaDuyet")
                    {
                        if (Convert.ToInt32(isViewPhieuDangChoDuyet) == 1 && Phieu.TinhTrang == "ChoYTeDuyet") // yte
                        {
                            <a class="btn btn-success btn-sm btnXetDuyetPhieu" style="color:white;  margin-left:10px;  float: right;"><i class="fa fa-save"></i>Xét duyệt</a>
                            <a class="btn btn-danger btn-sm btnTraPhieu" style="color:white;  margin-left:10px;  float: right;"><i class="fa fa-forward"></i>Trả phiếu</a>
                        }
                        else if (Convert.ToInt32(isViewPhieuDangChoDuyet) == 2 && Phieu.TinhTrang == "ChoPhuTrachDuyet") // phutrach
                        {
                            <a class="btn btn-success btn-sm btnXetDuyetPhieu" style="color:white;  margin-left:10px;  float: right;"><i class="fa fa-save"></i>Xét duyệt</a>
                            <a class="btn btn-danger btn-sm btnTraPhieu" style="color:white;  margin-left:10px;  float: right;"><i class="fa fa-forward"></i>Trả phiếu</a>
                        }
                        <a class="btn btn-secondary btn-sm" style=" margin-left:10px;float: left;" asp-action="Index" asp-controller="PhieuDangKyRaVaoCong"> <i class="fa fa-forward"></i>Quay lại danh sách phiếu </a>
                    }
                    else
                    {
                        <a class="btn btn-secondary btn-sm" style=" margin-left:10px;float: left;" asp-action="Index" asp-controller="PhieuDangKyRaVaoCong"> <i class="fa fa-forward"></i>Quay lại danh sách phiếu </a>
                    }

                </div>
            </form>
        </div>
    </div>

    <div class="row pb-5">
        <div class="col-12">
            <div id="gridContainer" style="width: 100%;"></div>
        </div>
    </div>
    <!-- Modal -->
    <div class="modal fade " id="modalXetDuyet" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalXetDuyet">Xét duyệt phiếu đăng ký ra vào cổng</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <lable></lable>
                    <textarea class="form-control"></textarea>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary btnDongYXetDuyet">Đồng ý</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Modal -->
    <div class="modal fade " id="modalDanhSachNgayDiLam" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modalDanhSachNgayDiLam">Danh sách ngày đi làm</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div id="gridDanhSachNgayDiLam" style="width: 100%;">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-dismiss="modal">Thoát</button>
                </div>
            </div>
        </div>
    </div>
</div>





